Subject: [nemo] WGLC Multihoming Issues: removing "Deployment Scenarios and Prerequisites" ?

From: "KLAMM Frederic RD-CORE-CAE" <[email-masked]>
Date: Thu, 21 Sep 2006 15:51:58 +0200

[Sorry for resending: same message as previous, prefixed by "WGLC..." as required in the LC message]

WGLC Multihoming Issues: removing "Deployment Scenarios and Prerequisites"

Hi all,

I would simply cut §3 (that wouldn't affect other parts the draft):
Because :
1. §3 is based on assertions of draft-ietf-monami6-multihoming-motivation-scenario-00, which one is a less advanced document (as far as IETF process is concerned) and may still change (this is work in progress)!

2. It's probably really difficult to find deployment scenarios. But IMHO the assertions listed bellow (considering their definitions) can't be aligned as if they were at the same level.
   1.  Permanent and Ubiquitous Access
   2.  Reliability
   3.  Load Sharing
   4.  Load Balancing/Flow Distribution
   5.  Preference Settings
   6.  Aggregate Bandwidth

3 and 4 are well-identifiable mechanisms
2 and 6 are immediate results of using some mechanisms :they are either responses or side-effects (6 is at least a side effect of 3)
1 is even more abstract, it's rather a global target : 
	permanency is neared when you obtain 2, 6 and ..., thanks to 3, 4 ...and others?
	ubiquity has been  defined relative to mutiple interface technologies, but this is only one step towards the common sense of ubiquity : wherever you are, you get the net.
A quality cellular network on a large given territory offers permanency and ubiquity. And I don't see why a quality mobile IPv6 service wouldn't have the same features in the future, provided that IPv6 is deployed.
This would mean that 1 is nothing but the ultime target of a mobility service...(?)

I also see (roughly) {1,2,3,4,6} linked to the base IP mobility service. And {5} linked to the would-be set of value-added services enriching the base mobility service. 
Of course I may have completly misunderstood. In this case, I may not be the only one? And I'll be glad to have an explanation of why this alignement of assertions is coherent.

Regards
	Frederic

> > -----Message d'origine-----
> > De : Thierry Ernst [mailto:[email-masked]] Envoyé : 
> jeudi 14 
> > septembre 2006 13:30 À : ml-nemo Objet : [nemo] WGLC Multihoming 
> > Issues
> > 
> > 
> > Dear all,
> > 
> > Authors of
> > Analysis of Multihoming in Network Mobility Support 
> > http://www.ietf.org/internet-drafts/draft-ietf-nemo-multihomin
> > g-issues-06.txt
> > have expressed confidence that the document is ready for a NEMO 
> > Working Group Last Call.
> > 
> > So, please send your comment on the draft between now and the 
> > expiration of this WGLC Sept 30.  For each new issue you may raise, 
> > please pick up a meaningful subject line bearing the prefix "WGLC 
> > Multihoming Issues:
> > YOUR_TEXT".
> > 
> > Abstract:
> >    This document is an analysis of multihoming in the context of 
> > network
> >    mobility (NEMO) in IPv6.  As there are many situations in which
> >    mobile networks may be multihomed, a taxonomy is proposed to 
> > classify
> >    the possible configurations.  The possible deployment 
> scenarios of
> >    multihomed mobile networks are described together with the 
> > associated
> >    issues when network mobility is supported by RFC 3963 (NEMO Basic
> >    Support).  Recommendations are offered on how to address these
> >    issues.
> > 
> > 
> > For history purposes, the covered issues are listed and resolved on 
> > 
> http://www.mobilenetworks.org/nemo/draft-ietf-nemo-multihoming-issues/
> > so you may look at that page first before commenting.
> > 
> > 
> > Thierry.
> > 
> > 
> 
>

---

From: Chan-Wah Ng <[email-masked]>
Date: Mon, 25 Sep 2006 17:30:27 +0800

Hello Frederic,

Thanks for the comment.

I agree with you that the alignment of the 6 listed "benefits and goals"
are clearly not on the same level in that one may encompass another, or
one may overlap with another.  Some are more of a goal (eg. ubiquity),
while others are more of a means to achieve goal.  It is difficult and
often subjective to clearly differentiate between a goal and benefit,
which is clearly demonstrated with your comments.  

However, we are not attempting to do so.  We are merely trying to list
the possible benefits and goals different people have when deploying a
multihomed mobile network.  Person A may have the objective of having
ubiquity in mind, person B may have the objective of having more
bandwidth in mind, and person C may have the objective of being able to
choose how each flow is distributed in mind.  That's all we are
attempting to illustrate.

IMHO, there is no value in dissecting the benefits of multihoming into a
set of distinct, atomic, constituents.  The purpose of Section 3 is to
discuss the possible benefits a multihomed NEMO will bring and what is
required to achieve these benefits.  If without such motivations, then
one would question why bother analysing the deployment issues of a
multihomed mobile network.

/rgds
/cwng